<div class="custom-container" *ngIf="!fetching && games.length < 1">
  <div class="custom-row">
    <div class="custom-col">
      <h4>Currently no game running</h4>
      <img style="width: 300px; height: auto;" src="../../assets/images/website/shrug-robot.png"
        class="image-style interactable-image" (mousemove)="handleMouseMove($event, 'image2')"
        (mouseleave)="resetTilt('image2')" alt="" id="image2" />
      <br>
      <button class="btn-create-game" (click)="redirectToControlpanel()">
        Create a Game
      </button>
    </div>
  </div>
</div>


<div class="container-fluid">
  <div class="row" style="padding-top: 15px;">
    <div class="custom-col-width col-12 sidebar-column">
      <ng-container *ngIf="players.length <= 0 && games.length >= 1; else sideBar">
        <div id="spinner-container" style="margin: 15px;" class="spinner-container-gamelog">
          <div class="spinner-content">
            <div class="spinner"></div>
            <p>Fetching Gamelog data...</p>
          </div>
        </div>
      </ng-container>
      <ng-template #sideBar>
        <div class="sidebar-content sticky-sidebar">
          <app-sidebar *ngIf="games.length >= 1" [players]="players" [fetching]="fetching"></app-sidebar>
        </div>
      </ng-template>
    </div>
    <div class="col-md-9 col-12">

      <div class="game-container" style="max-width: 1200px;">
        <app-game [game]="games[0]" [planets]="planets" [robots]="robots"></app-game>
      </div>
      <div id="spinner-container" *ngIf="fetching" class="spinner-container col-auto" style="max-width: 1200px;">
        <div class="spinner-content">
          <div class="spinner"></div>
          <p>Fetching Map data...</p>
        </div>
      </div>

      <div *ngIf="games.length > 0" class="player-grid-selection-container">
        <Button
          class="player-grid-btn-selected"
          (click)="onChangeGrid('all')"
          [ngClass]="{'player-grid-btn-selected': selectedGridPlayer === 'all', 'player-grid-btn': selectedGridPlayer !== 'all'}">
          All Players
        </Button>
        <div *ngFor="let player of players;" (click)="onChangeGrid(player.name)">
          <Button
            class="player-grid-btn"
            [ngClass]="{'player-grid-btn-selected': selectedGridPlayer === player.name, 'player-grid-btn': selectedGridPlayer !== player.name}"
            (click)="onChangeGrid(player.name)">
            {{player.name}}
          </Button>
        </div>
      </div>

      <div class="map-outer-container no-gutters" *ngIf="grid.length > 0" [ngStyle]="{'transform': 'scale(' + mapScale + ')'}">
        <div class="map-container" *ngIf="games.length > 0">
          <div *ngFor="let row of grid; trackBy: trackByRowIndex" class="map-row">
            <div *ngFor="let planet of row; trackBy: trackByPlanetId" class="map-cell ">
              <ng-container *ngIf="planet; else noPlanet">
                <ng-container *ngIf="!isPlanetUndiscovered(planet); else undiscoveredPlanet">
                  <app-planet [planet]="planet" [showInfo]="showPlanetInfo" [selectedGridPlayer]="selectedGridPlayer"
                              [class.highlighted]="planet.highlighted"></app-planet>
                </ng-container>
              </ng-container>
              <ng-template #undiscoveredPlanet>
                <div class="undiscoveredPlanet" style="display: flex; justify-content: center; align-items: center;"
                     [style.background-image]="getUndiscoveredBGimage()"  [style.color]="determineTextColor()">?</div>
              </ng-template>
              <ng-template #noPlanet>
                <div class="noPlanet" [style.background-image]="getBGimage()"></div>
              </ng-template>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="justify-content-end" style="float: right" *ngIf="games.length > 0 && !fetching">
  <app-settingsbar></app-settingsbar>
</div>
